Bug 490399 - (Rename) Review Request: webkitgtk - GTK+ Web content engine library
(Rename) Review Request: webkitgtk - GTK+ Web content engine library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 00:48 EDT by Peter Gordon
Modified: 2009-05-11 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 02:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2009-03-16 00:48:49 EDT
Spec URL: http://projects.thecodergeek.com/for-review/WebKitGTK.spec
SRPM URL: http://projects.thecodergeek.com/for-review/WebKitGTK-1.1.3-1.src.rpm

Description: Renaming to follow upstream, this is essentially an update to the WebKit package in current Fedora. Thanks.
Comment 1 Peter Gordon 2009-03-16 00:54:41 EDT
Also, rpmlint: 

$ rpmlint SPECS/WebKitGTK.spec RPMS/x86_64/WebKitGTK*  SRPMS/WebKitGTK* 
WebKitGTK.x86_64: W: no-documentation
WebKitGTK-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 2 warnings.

And the Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1242887

Regards.
Comment 2 Peter Gordon 2009-03-16 02:09:01 EDT
I should mention that those "no-documentation" warnings are safe to ignore, as those files are in a separate doc subpackage.

Thanks.
Comment 3 Kevin Fenzi 2009-03-18 21:28:05 EDT
I'd be happy to review this. Look for a full review in a bit.
Comment 4 Kevin Fenzi 2009-03-18 22:13:16 EDT
See below - Package meets naming and packaging guidelines
See below - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
9c1dcba372e2a56d6011ad807abc80e6  webkit-1.1.3.tar.gz
9c1dcba372e2a56d6011ad807abc80e6  webkit-1.1.3.tar.gz.orig
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage. 
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. I'm a bit confused by what package name we should use here. 

domain: webkitgtk.org
content on website: WebKitGTK+
link to source on website: WebKitGTK+
tar file downloaded: webkit-1.1.3.tar.gz

So, the choices seem to be 'WebKitGTK+', 'webkit', 'webkitgtk'. 
Can you please ask upstream what the desired package name should be?
Along with what case? ;) 

2. Weird license issue: 

JavaScriptCore/runtime/DateMath.h has a odd multilicense. 
I am assuming we are distributing it under LGPLv2+. Should we delete the 
MPL parts as it suggests? Or do we care? 

3. A few items from the build.log: 

checking whether to enable geolocation support... no
checking whether to enable WML support... no
checking whether to enable support for SVG filters... no
checking whether to enable code coverage support... no

These might be missing buildrequires, or might be disabled for a reason, 
but worth looking into. 

4. rpmlint says: 

WebKitGTK.x86_64: W: no-documentation
WebKitGTK-devel.x86_64: W: no-documentation

as you say, can be ignored.
Comment 5 Kevin Fenzi 2009-04-02 02:39:06 EDT
I see 1.1.4 is out now. ;)
Comment 6 Xan López 2009-04-03 09:52:19 EDT
(In reply to comment #4)
> 1. I'm a bit confused by what package name we should use here. 
> 
> domain: webkitgtk.org
> content on website: WebKitGTK+
> link to source on website: WebKitGTK+
> tar file downloaded: webkit-1.1.3.tar.gz
> 
> So, the choices seem to be 'WebKitGTK+', 'webkit', 'webkitgtk'. 
> Can you please ask upstream what the desired package name should be?
> Along with what case? ;)

The 'official' name of the project is WebKitGTK+, but I'd say that's a weird name for a package name. IMHO webkitgtk would be the best option. It's a bit similar to GNU Emacs and 'emacs' as package name.

And yeah, we should not name our tarball just 'webkit' :)
Comment 7 Peter Gordon 2009-04-07 19:56:13 EDT
Hi, Kevin - and thanks for the review. 

> 1. I'm a bit confused by what package name we should use here. 
> 
> domain: webkitgtk.org
> content on website: WebKitGTK+
> link to source on website: WebKitGTK+
> tar file downloaded: webkit-1.1.3.tar.gz
> 
> So, the choices seem to be 'WebKitGTK+', 'webkit', 'webkitgtk'. 
> Can you please ask upstream what the desired package name should be?
> Along with what case? ;) 

As Xan suggested earlier, I've changed this to simply 'webkitgtk'.

 
> 2. Weird license issue: 
> 
> JavaScriptCore/runtime/DateMath.h has a odd multilicense. 
> I am assuming we are distributing it under LGPLv2+. Should we delete the 
> MPL parts as it suggests? Or do we care? 

My understanding is that we _are_ distributing it under LGPLv2+, but I leave the other clauses in there so that it is still feasible to re-use that code under the MPL/GPL's terms, since we're merely redistributing a pristine copy of the upstream tarball (and not changing anything in it).
 
> 3. A few items from the build.log: 
> 
> checking whether to enable geolocation support... no
> checking whether to enable WML support... no
> checking whether to enable support for SVG filters... no
> checking whether to enable code coverage support... no
> 

SVG and WML support are included as build-time condtionals (`--with svg' and `--with wml', respectively). I've also added the code coverage support as a build conditional in 1.1.4-1 (`--with coverage') and enabled the geolocation support by default, following upstream's configure script settings.

The new SRPM and spec file are on my webspace:
SRPM: http://projects.thecodergeek.com/for-review/webkitgtk-1.1.4-1.src.rpm
Spec: http://projects.thecodergeek.com/for-review/webkitgtk.spec

Thanks again! :)
Comment 8 Kevin Fenzi 2009-04-08 22:48:55 EDT
ok. All those items look ok to me. I see no further blockers, so this package is 
APPROVED.
Comment 9 Peter Gordon 2009-04-10 17:33:02 EDT
Hi, Kevin; and thanks again for the quick ack. :)

New Package CVS Request
=======================
Package Name: webkitgtk
Short Description: GTK+ Web content engine library
Owners: pgordon
Branches: F-11 devel
InitialCC: maxamillion, mso, mtasaka
Comment 10 Kevin Fenzi 2009-04-10 18:12:00 EDT
cvs done.
Comment 11 Kevin Fenzi 2009-05-11 02:28:25 EDT
This package is imported and built. Closing now.

Note You need to log in before you can comment on or make changes to this bug.